git: ab1627bb2bd5 - stable/13 - ping_test: Code cleanup

From: Mark Johnston <markj_at_FreeBSD.org>
Date: Thu, 10 Nov 2022 17:02:28 UTC
The branch stable/13 has been updated by markj:

URL: https://cgit.FreeBSD.org/src/commit/?id=ab1627bb2bd5cf3c6c54c55ecbe587eb67a003ee

commit ab1627bb2bd5cf3c6c54c55ecbe587eb67a003ee
Author:     Jose Luis Duran <jlduran@gmail.com>
AuthorDate: 2022-10-31 08:23:33 +0000
Commit:     Mark Johnston <markj@FreeBSD.org>
CommitDate: 2022-11-10 17:01:58 +0000

    ping_test: Code cleanup
    
    Mostly style fixes.
    
    Reviewed by:    markj
    MFC after:      1 week
    Differential Revision:  https://reviews.freebsd.org/D37248
    
    (cherry picked from commit fcae0b54d1339e2bafc52e419023297773d9b241)
---
 sbin/ping/tests/ping_test.sh | 193 ++++++++++++++++++++++++-------------------
 1 file changed, 107 insertions(+), 86 deletions(-)

diff --git a/sbin/ping/tests/ping_test.sh b/sbin/ping/tests/ping_test.sh
index 7f11af7e9818..55456a5c86ba 100644
--- a/sbin/ping/tests/ping_test.sh
+++ b/sbin/ping/tests/ping_test.sh
@@ -27,124 +27,145 @@
 #
 # $FreeBSD$
 
-require_ipv4() {
-    if ! getaddrinfo -f inet localhost 1>/dev/null 2>&1; then
-	atf_skip "IPv4 is not configured"
-    fi
-}
-require_ipv6() {
-    if ! getaddrinfo -f inet6 localhost 1>/dev/null 2>&1; then
-	atf_skip "IPv6 is not configured"
-    fi
+require_ipv4()
+{
+	if ! getaddrinfo -f inet localhost 1>/dev/null 2>&1; then
+		atf_skip "IPv4 is not configured"
+	fi
+}
+require_ipv6()
+{
+	if ! getaddrinfo -f inet6 localhost 1>/dev/null 2>&1; then
+		atf_skip "IPv6 is not configured"
+	fi
 }
 
 atf_test_case ping_c1_s56_t1
-ping_c1_s56_t1_head() {
-    atf_set "descr" "Stop after receiving 1 ECHO_RESPONSE packet"
+ping_c1_s56_t1_head()
+{
+	atf_set "descr" "Stop after receiving 1 ECHO_RESPONSE packet"
 }
-ping_c1_s56_t1_body() {
-    require_ipv4
-    atf_check -s exit:0 -o save:std.out -e empty \
-	      ping -4 -c 1 -s 56 -t 1 localhost
-    check_ping_statistics std.out $(atf_get_srcdir)/ping_c1_s56_t1.out
+ping_c1_s56_t1_body()
+{
+	require_ipv4
+	atf_check -s exit:0 -o save:std.out -e empty \
+	    ping -4 -c 1 -s 56 -t 1 localhost
+	check_ping_statistics std.out $(atf_get_srcdir)/ping_c1_s56_t1.out
 }
 
 atf_test_case ping_c1_s56_t1_S127
-ping_c1_s56_t1_S127_head() {
-    atf_set "descr" "Check that ping -S 127.0.0.1 localhost succeeds"
-}
-ping_c1_s56_t1_S127_body() {
-    require_ipv4
-    require_ipv6
-    atf_check -s exit:0 -o save:std.out -e empty \
-	      ping -c 1 -s 56 -t 1 -S 127.0.0.1 localhost
-    check_ping_statistics std.out $(atf_get_srcdir)/ping_c1_s56_t1_S127.out
+ping_c1_s56_t1_S127_head()
+{
+	atf_set "descr" "Check that ping -S 127.0.0.1 localhost succeeds"
+}
+ping_c1_s56_t1_S127_body()
+{
+	require_ipv4
+	require_ipv6
+	atf_check -s exit:0 -o save:std.out -e empty \
+	    ping -c 1 -s 56 -t 1 -S 127.0.0.1 localhost
+	check_ping_statistics std.out $(atf_get_srcdir)/ping_c1_s56_t1_S127.out
 }
 
 atf_test_case ping_6_c1_s8_t1
-ping_6_c1_s8_t1_head() {
-    atf_set "descr" "Stop after receiving 1 ECHO_RESPONSE packet"
+ping_6_c1_s8_t1_head()
+{
+	atf_set "descr" "Stop after receiving 1 ECHO_RESPONSE packet"
 }
-ping_6_c1_s8_t1_body() {
-    require_ipv6
-    atf_check -s exit:0 -o save:std.out -e empty \
-	      ping -6 -c 1 -s 8 -t 1 localhost
-    check_ping_statistics std.out $(atf_get_srcdir)/ping_6_c1_s8_t1.out
+ping_6_c1_s8_t1_body()
+{
+	require_ipv6
+	atf_check -s exit:0 -o save:std.out -e empty \
+	    ping -6 -c 1 -s 8 -t 1 localhost
+	check_ping_statistics std.out $(atf_get_srcdir)/ping_6_c1_s8_t1.out
 }
 
 atf_test_case ping_c1_s8_t1_S1
-ping_c1_s8_t1_S1_head() {
-    atf_set "descr" "Check that ping -S ::1 localhost succeeds"
-}
-ping_c1_s8_t1_S1_body() {
-    require_ipv4
-    require_ipv6
-    atf_check -s exit:0 -o save:std.out -e empty \
-	      ping -c 1 -s 8 -t 1 -S ::1 localhost
-    check_ping_statistics std.out $(atf_get_srcdir)/ping_c1_s8_t1_S1.out
+ping_c1_s8_t1_S1_head()
+{
+	atf_set "descr" "Check that ping -S ::1 localhost succeeds"
+}
+ping_c1_s8_t1_S1_body()
+{
+	require_ipv4
+	require_ipv6
+	atf_check -s exit:0 -o save:std.out -e empty \
+	    ping -c 1 -s 8 -t 1 -S ::1 localhost
+	check_ping_statistics std.out $(atf_get_srcdir)/ping_c1_s8_t1_S1.out
 }
 
 atf_test_case ping6_c1_s8_t1
-ping6_c1_s8_t1_head() {
-    atf_set "descr" "Use IPv6 when invoked as ping6"
+ping6_c1_s8_t1_head()
+{
+	atf_set "descr" "Use IPv6 when invoked as ping6"
 }
-ping6_c1_s8_t1_body() {
-    require_ipv6
-    atf_check -s exit:0 -o save:std.out -e empty \
-	      ping6 -c 1 -s 8 -t 1 localhost
-    check_ping_statistics std.out $(atf_get_srcdir)/ping_6_c1_s8_t1.out
+ping6_c1_s8_t1_body()
+{
+	require_ipv6
+	atf_check -s exit:0 -o save:std.out -e empty \
+	    ping6 -c 1 -s 8 -t 1 localhost
+	check_ping_statistics std.out $(atf_get_srcdir)/ping_6_c1_s8_t1.out
 }
 
-ping_c1t6_head() {
-    atf_set "descr" "-t6 is not interpreted as -t -6 by ping"
+ping_c1t6_head()
+{
+	atf_set "descr" "-t6 is not interpreted as -t -6 by ping"
 }
-ping_c1t6_body() {
-    require_ipv4
-    atf_check -s exit:0 -o ignore -e empty ping -c1 -t6 127.0.0.1
+ping_c1t6_body()
+{
+	require_ipv4
+	atf_check -s exit:0 -o ignore -e empty ping -c1 -t6 127.0.0.1
 }
 
-ping6_c1t4_head() {
-    atf_set "descr" "-t4 is not interpreted as -t -4 by ping6"
+ping6_c1t4_head()
+{
+	atf_set "descr" "-t4 is not interpreted as -t -4 by ping6"
 }
-ping6_c1t4_body() {
-    require_ipv6
-    atf_check -s exit:0 -o ignore -e empty ping6 -c1 -t4 ::1
+ping6_c1t4_body()
+{
+	require_ipv6
+	atf_check -s exit:0 -o ignore -e empty ping6 -c1 -t4 ::1
 }
 
-ping_46_head() {
-    atf_set "descr" "-4 and -6 may not be used together"
+ping_46_head()
+{
+	atf_set "descr" "-4 and -6 may not be used together"
 }
-ping_46_body() {
-    atf_check -s exit:1 -e ignore ping -4 -6
+ping_46_body()
+{
+	atf_check -s exit:1 -e ignore ping -4 -6
 }
 
-ping6_46_head() {
-    atf_set "descr" "-4 and -6 may not be used together"
+ping6_46_head()
+{
+	atf_set "descr" "-4 and -6 may not be used together"
 }
-ping6_46_body() {
-    atf_check -s exit:1 -e ignore ping6 -4 -6
+ping6_46_body()
+{
+	atf_check -s exit:1 -e ignore ping6 -4 -6
 }
 
-
-atf_init_test_cases() {
-    atf_add_test_case ping_c1_s56_t1
-    atf_add_test_case ping_c1_s56_t1_S127
-    atf_add_test_case ping_6_c1_s8_t1
-    atf_add_test_case ping_c1_s8_t1_S1
-    atf_add_test_case ping6_c1_s8_t1
-    atf_add_test_case ping_c1t6
-    atf_add_test_case ping6_c1t4
-    atf_add_test_case ping_46
-    atf_add_test_case ping6_46
+atf_init_test_cases()
+{
+	atf_add_test_case ping_c1_s56_t1
+	atf_add_test_case ping_c1_s56_t1_S127
+	atf_add_test_case ping_6_c1_s8_t1
+	atf_add_test_case ping_c1_s8_t1_S1
+	atf_add_test_case ping6_c1_s8_t1
+	atf_add_test_case ping_c1t6
+	atf_add_test_case ping6_c1t4
+	atf_add_test_case ping_46
+	atf_add_test_case ping6_46
 }
 
-check_ping_statistics() {
-    sed -e 's/0.[0-9]\{3\}//g' \
-	-e 's/[1-9][0-9]*.[0-9]\{3\}//g' \
-	-e 's/localhost ([0-9]\{1,3\}\(\.[0-9]\{1,3\}\)\{1,3\})/localhost/' \
-	-e 's/from [0-9]\{1,3\}\(\.[0-9]\{1,3\}\)\{1,3\}/from/' \
-	-e 's/ttl=[0-9][0-9]*/ttl=/' \
-	-e 's/hlim=[0-9][0-9]*/hlim=/' \
-	"$1" >"$1".filtered
-    atf_check -s exit:0 diff -u "$1".filtered "$2"
+check_ping_statistics()
+{
+	sed -e 's/0.[0-9]\{3\}//g' \
+	    -e 's/[1-9][0-9]*.[0-9]\{3\}//g' \
+	    -e 's/localhost ([0-9]\{1,3\}\(\.[0-9]\{1,3\}\)\{1,3\})/localhost/' \
+	    -e 's/from [0-9]\{1,3\}\(\.[0-9]\{1,3\}\)\{1,3\}/from/' \
+	    -e 's/ttl=[0-9][0-9]*/ttl=/' \
+	    -e 's/hlim=[0-9][0-9]*/hlim=/' \
+	    "$1" >"$1".filtered
+	atf_check -s exit:0 diff -u "$1".filtered "$2"
 }